summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcrouton.configure27
-rw-r--r--systems/build-system-armv7lhf-rootfs.morph1
2 files changed, 28 insertions, 0 deletions
diff --git a/crouton.configure b/crouton.configure
new file mode 100755
index 00000000..7055d799
--- /dev/null
+++ b/crouton.configure
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+set -e
+
+ROOT="$1"
+
+###############################################################################
+
+echo "Creating crouton name file"
+
+mkdir -p "$ROOT/etc/crouton"
+echo "baserock" > "$ROOT/etc/crouton/name"
diff --git a/systems/build-system-armv7lhf-rootfs.morph b/systems/build-system-armv7lhf-rootfs.morph
index f6875b15..b0f0871f 100644
--- a/systems/build-system-armv7lhf-rootfs.morph
+++ b/systems/build-system-armv7lhf-rootfs.morph
@@ -30,3 +30,4 @@ configuration-extensions:
- fstab
- mason
- cloud-init
+- crouton